API referenceAnalytics

GET /analytics/post-timeline

Day-by-day lifetime metrics of one post, one row per day and platform

GET
/analytics/post-timeline

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

postId*string

Postgale post or target id, or a platform post id

fromDate?string

First day, YYYY-MM-DD (default: 90 days ago)

toDate?string

Last day, YYYY-MM-DD (default: today)

Response Body

{postId, timeline}

application/json
  1. response
postId?string
timeline?array<>
Example Request
curl -X GET 'https://example.com/api/v1/analytics/post-timeline?postId=string'
Example Response
{  "postId": "string",  "timeline": [    {}  ]}